lwIP 2.1.2 Lightweight IP stack

Data Fields
lwip_sock Struct Reference

`#include <sockets_priv.h>`

## Data Fields
struct netconn * | conn
union lwip_sock_lastdata | lastdata
s16_t | rcvevent
u16_t | sendevent
u16_t | errevent
u8_t | select_waiting

## Detailed Description

Contains all internal pointers and states used for a socket

## Field Documentation

## ◆ conn

struct netconn* lwip_sock::conn

sockets currently are built on netconns, each socket has one netconn

## ◆ errevent

u16_t lwip_sock::errevent

error happened for this socket, set by event_callback(), tested by select

## ◆ lastdata

union lwip_sock_lastdata lwip_sock::lastdata

data that was left from the previous read

## ◆ rcvevent

s16_t lwip_sock::rcvevent

number of times data was received, set by event_callback(), tested by the receive and select functions

## ◆ select_waiting

u8_t lwip_sock::select_waiting

counter of how many threads are waiting for this socket using select

## ◆ sendevent

u16_t lwip_sock::sendevent

number of times data was ACKed (free send buffer), set by event_callback(), tested by select

The documentation for this struct was generated from the following file:

- src/include/lwip/priv/sockets_priv.h